org.icefaces.ace.component.dynamicresource

## Interface IDynamicResource

- All Known Implementing Classes:
    DynamicResource, DynamicResourceBase

      public interface IDynamicResource

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccesskey()`
    `java.lang.String` | `getFileName()`
    `java.lang.String` | `getImage()`
    `java.lang.String` | `getLabel()`
    `java.util.Date` | `getLastModified()`
    `java.lang.String` | `getMimeType()`
    `javax.faces.application.Resource` | `getResource()`
    `java.lang.String` | `getScope()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTarget()`
    `java.lang.String` | `getType()`
    `boolean` | `isAttachment()`
    `boolean` | `isDisabled()`
    `void` | `setAccesskey(java.lang.String accesskey)`
    `void` | `setAttachment(boolean attachment)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setFileName(java.lang.String fileName)`
    `void` | `setImage(java.lang.String image)`
    `void` | `setLabel(java.lang.String label)`
    `void` | `setLastModified(java.util.Date lastModified)`
    `void` | `setMimeType(java.lang.String mimeType)`
    `void` | `setResource(javax.faces.application.Resource resource)`
    `void` | `setScope(java.lang.String scope)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setTarget(java.lang.String target)`
    `void` | `setType(java.lang.String type)`

- - ### Method Detail

    - #### setAccesskey

          void setAccesskey(java.lang.String accesskey)

    - #### getAccesskey

          java.lang.String getAccesskey()

    - #### setAttachment

          void setAttachment(boolean attachment)

    - #### isAttachment

          boolean isAttachment()

    - #### setDisabled

          void setDisabled(boolean disabled)

    - #### isDisabled

          boolean isDisabled()

    - #### setFileName

          void setFileName(java.lang.String fileName)

    - #### getFileName

          java.lang.String getFileName()

    - #### setImage

          void setImage(java.lang.String image)

    - #### getImage

          java.lang.String getImage()

    - #### setLabel

          void setLabel(java.lang.String label)

    - #### getLabel

          java.lang.String getLabel()

    - #### setLastModified

          void setLastModified(java.util.Date lastModified)

    - #### getLastModified

          java.util.Date getLastModified()

    - #### setMimeType

          void setMimeType(java.lang.String mimeType)

    - #### getMimeType

          java.lang.String getMimeType()

    - #### setResource

          void setResource(javax.faces.application.Resource resource)

    - #### getResource

          javax.faces.application.Resource getResource()

    - #### setScope

          void setScope(java.lang.String scope)

    - #### getScope

          java.lang.String getScope()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setTarget

          void setTarget(java.lang.String target)

    - #### getTarget

          java.lang.String getTarget()

    - #### setType

          void setType(java.lang.String type)

    - #### getType

          java.lang.String getType()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.